import { Vue } from 'vue-property-decorator';
import { css } from '@uifabric-vue/utilities';
import { IProcessedStyleSet, ITheme } from '@uifabric/styling';
export declare class Styleable extends Vue {
    readonly className: string;
    readonly styles: any;
    componentRef: HTMLElement | null;
    theme: ITheme;
    css: typeof css;
    created(): void;
    /**
     * When the component has mounted, update the componentRef.
     */
    mounted(): void;
    protected get uid(): number;
    protected get classNames(): IProcessedStyleSet<any>;
}
//# sourceMappingURL=Styleable.d.ts.map